package x64

import "git.akyoto.dev/cli/q/src/build/cpu"

// Compares the register with the number and sets the status flags in the EFLAGS register.
func CompareRegisterNumber(code []byte, register cpu.Register, number int) []byte {
	return regRegNum(code, 0b111, byte(register), number, 0x83, 0x81)
}

// CompareRegisterRegister compares a register with a register and sets the status flags in the EFLAGS register.
func CompareRegisterRegister(code []byte, registerA cpu.Register, registerB cpu.Register) []byte {
	return regReg(code, byte(registerB), byte(registerA), 0x39)
}
