package ast

import (
	"fmt"

	"git.akyoto.dev/cli/q/src/build/expression"
	"git.akyoto.dev/cli/q/src/build/token"
)

// Define represents a variable definition.
type Define struct {
	Value *expression.Expression
	Name  token.Token
}

func (node *Define) String() string {
	return fmt.Sprintf("(= %s %s)", node.Name.Text(), node.Value)
}
